##+---------------------------------------------------------------------+
##| FVDEOS2.MAK                                                         |
##|                                                                     |
##|            5763-VR1 COPYRIGHT IBM CORP. 1994.                       |
##|            LICENSED MATERIAL - PROGRAM PROPERTY OF IBM              |
##|                                                                     |
##|                                                                     |
##| Level:       IBM AS/400 VRPG Client/2 V3R1                          |
##|                                                                     |
##| Description: This is the VRPG generic application make file         |
##|                                                                     |
##| Includes:                                                           |
##|                                                                     |
##| See Also:                                                           |
##|                                                                     |
##+---------------------------------------------------------------------+
LFLAGS=/NOE /NOL /NOI /PMTYPE:PM /EXEPACK
!ifdef VDEDEBUG
LFLAGS=$(LFLAGS) /DEBUG
!endif

OBJLIST=$(VDEAPPNAME).odx $(VDEAPPNAME).rc COMPILE

!ifdef VDEEXE
OBJLIST=$(OBJLIST) $(VDEAPPTMP).exe
!endif

!ifdef VDEMSG
OBJLIST=$(OBJLIST) $(VDEAPPTARGET).msg
!endif

OBJLIST=$(OBJLIST) $(VDEAPPTARGET).hlp


all: $(OBJLIST)

#-------------------------------------------------------------------
#   Dependencies
#     This section lists all object files needed to be built for the
#     application, along with the files it is dependent upon (e.g.
#     its source and any header files).
#-------------------------------------------------------------------

$(VDEAPPNAME).odx: $(VDEAPPTMP).odf
     fvdegenx $(VDEAPPNAME) $(VDESOURCETMP) $(VDESOURCEDIR)
     copy $(VDESOURCETMP)\*.rc .
   - copy $(VDESOURCETMP)\*.hrc .

$(VDEAPPNAME).rc:  $(VDEAPPTMP).odf
     fvdegenx $(VDEAPPNAME) $(VDESOURCETMP) $(VDESOURCEDIR)
     copy $(VDESOURCETMP)\*.rc .
   - copy $(VDESOURCETMP)\*.hrc .

COMPILE: $(VDEAPPSOURCE).vpg
     fvdffe.exe $** $(VDECMPFLAG)
     rc -r $(VDEAPPNAME).rc
     rc $(VDEAPPNAME).res $(VDEAPPTMP).dll
     copy $(VDEAPPNAME).odx $(VDESOURCETMP)
     del $(VDEAPPNAME).res

$(VDEAPPTMP).exe: $(VDEAPPTMP).dll
     implib /NOLOGO $(@B).lib $**
     copy $(VRPGDIR)\fvdeexe.obj $(@B).obj
     copy $(VRPGDIR)\fvdeexe.def $(@B).def
     link386 $(LFLAGS) $(@B).obj, $(@B).exe,, $(@B).lib fvdemain.lib, $(@B).def
     fvdeaico $@ $(@B).exe
     copy $(@B).exe $@
     del $(@B).obj $(@B).lib $(@B).def $(@B).exe

$(VDEAPPTARGET).msg: $(VDEAPPSOURCE).txm
     mkmsgf $(@B).txm $(VDEAPPTMP).msg

$(VDEAPPTARGET).hlp: $(VDEAPPSOURCE).ipf $(VDEAPPSOURCE).vpf $(VDEAPPSOURCE).ipm
     ipfc $(@B).ipf /LANGUAGE=$(LANGUAGE)
     copy $(@B).hlp $(VDEAPPTMP).hlp
     del $(@B).hlp

