#**************************************************************************
#
# MAKE file for Movie Sample Application
#
#**************************************************************************

CC          = icc
LINK        = link386

BASELIBS    = DDE4MBS.LIB OS2386.LIB MMPM2.LIB

DEBUG      = /Ti+ /O-


CCDLL   = /C+ /Ge- /Ti /Ss

CFLAGS = $(CCDLL)

#
# Link Switches
#
#    /map     : Creates a listing file containing all pulbic symbols.
#    /nod     : Causes all default libraries to be ignored.
#    /noe     : The linker will not search the extended dictionary.
#

LFLAGS  = /map /nod /noe /noi /DEBUG

all: movie.dll

movie.dll: movie.obj
  $(LINK) movie.obj, movie.dll, $(LFLAGS) /ST:20000, $(BASELIBS), movie.def
   IMPLIB movie.LIB movie.def

movie.obj: movie.c
  $(CC) $(CFLAGS) $(DEBUG) movie.c

