/*************************************************************************
*
*  Copyright (C) 1993 IBM Corporation
*
*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
*      sample code created by IBM Corporation. This sample code is not
*      part of any standard or IBM product and is provided to you solely
*      for  the purpose of assisting you in the development of your
*      applications.  The code is provided "AS IS", without
*      warranty of any kind.  IBM shall not be liable for any damages
*      arising out of your use of the sample code, even if they have been
*      advised of the possibility of such damages.
*
************************************************************************/

// This is the main file for the CLC project.

#include <iostream.h>

#include "calc_cls.h"

// Declare external functions
extern int InitCalcFuncs(void);  // Initializes the functions used by the calculator.
extern int DoCalculations(void); // Starts the calculations loop.

/**********************************************************************\
*
* The main() function starts the Command Line Calculator, initializes its
* functions, and then asks the DoCalculations() function to handle it from
* there.
* When DoCalculations() returns, main() closes the Command Line Calculator.
*
\***********************************************************************/

int main(void)
{
        cout << "The Command Line Calculator is starting..." << endl;

        InitCalcFuncs();

        DoCalculations();

        cout << "Closing Command Line Calculator." << endl;


        return NO_ERROR;
}


