/*************************************************************************
*
*  Copyright (C) 1993 IBM Corporation
*
*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
*      sample code created by IBM Corporation. This sample code is not
*      part of any standard or IBM product and is provided to you solely
*      for  the purpose of assisting you in the development of your
*      applications.  The code is provided "AS IS", without
*      warranty of any kind.  IBM shall not be liable for any damages
*      arising out of your use of the sample code, even if they have been
*      advised of the possibility of such damages.
*
************************************************************************/
#include <iomanip.h>
#include <iostream.h>
#include <stdlib.h>
#include <string.h>

#include "calc_cls.h"

extern CALCULATOR CLC;
extern double Result;
extern double Input;

int DoCalculations(void); // Starts the calculations loop.

int DoCalculations()
{
        int RC;

        cout << "Ready for calculations." << endl;

        char * InFunc, * InputLine, * pszInput;

        InputLine = new char[88];
        InFunc = new char[16];
        pszInput = new char[72];


        for (;;)
        {
                cout << "[" << setw(10) << Result << "] :> " << flush;

                cin.getline( InputLine, 80, '\n');

                if (*InputLine == NULL)
                     continue;

                InFunc = strtok(InputLine, " ");
                pszInput = strtok(NULL, " ");

                if (pszInput != NULL)
                     Input = atof( pszInput);

                RC = CLC.ProcessFunction(InFunc);

                if (RC == ERROR)
                {
                        cout << "A calculation error occurred." << endl;
                        continue;
                }

                if (RC == END_PROGRAM)
                        return NO_ERROR;
        }
}

