/***********************************************************
*                                                          *
*  LPEXCPAT.H:  Include file to be used for upgrading      *
*               LPEX commands to the new API               *
*                                                          *
* Note: This file must be included from LPEXAPI.H          *
*       immediately after defining EXPENTRY                *
*                                                          *
************************************************************
*                                                          *
*          (C) Copyright IBM Corporation 1993              *
*                                                          *
***********************************************************/
#ifndef H_LPEXCPAT
#define H_LPEXCPAT

#include <os2def.h>
/*----- defines to convert from old API interface to temporary interface */

#define lxmain(a)                   LpexEntry(a)
#define lxexit(a)                   LpexExit(a)

#define lxcmd(a)                    LpexCommand(a)
#define lxcall(a,b)                 LpexCall(a,b)
#define lxmsg(a)                    LpexCall("msg",a)
#define lxalloc(a)                  LpexAlloc(a)
#define lxfree(a)                   LpexFree(a)
#define lxquery(a,b)                LpexQuery(a,b)
#define lxquery_user(a,b)           LpexQueryUserLink(a,b)
#define lxlink_user(a,b)            LpexLinkUser(a,b)
#define lxfind_user(a,b)            LpexFindUserLink(a,b)
#define lxqgmlfonts(a)              LpexQueryGMLFonts(a)
#define lxgmlfontadd(a)             LpexAddGMLFonts(a)
#define lxnext()                    LpexNext("")
#define lxprev()                    LpexPrev("")
#define lxqrawtx(a)                 LpexQueryRawText(a)
#define lxqtext(a)                  LpexQueryText(a)
#define lxstext(a)                  LpexSetText(a)
#define lxqfont(a)                  LpexQueryFonts(a)
#define lxsfont(a)                  LpexSetFonts(a)
#define lxqmode(a)                  LpexQueryCharModes(a)
#define lxqclass(a)                 LpexQueryClass(a)
#define lxsclass(a)                 LpexSetClass(a)
#define lxqelestate(a)              LpexQueryElementState(a)
#define lxinsert(a)                 LpexInsert(a)

#define lxhab(a)                    LpexHab(a)
/* the following is provided for compatibility only */
 HAB            LpexHab(void);                 /* Obtain the hab */

#endif
